From 11931e9d97c4f34266180027fc50007d3c70ef55 Mon Sep 17 00:00:00 2001
From: Nicolas ROCHE <nroche@entrouvert.com>
Date: Fri, 16 Dec 2022 09:20:57 +0100
Subject: [PATCH] tououse-maelis: update wsdl into tests (#72525)

---
 tests/data/toulouse_maelis/FamilyService.wsdl | 3151 +++++++++--------
 1 file changed, 1765 insertions(+), 1386 deletions(-)

diff --git a/tests/data/toulouse_maelis/FamilyService.wsdl b/tests/data/toulouse_maelis/FamilyService.wsdl
index e67d6e4b..ef25e2ce 100644
--- a/tests/data/toulouse_maelis/FamilyService.wsdl
+++ b/tests/data/toulouse_maelis/FamilyService.wsdl
@@ -28,44 +28,56 @@
   <xs:element name="getLevel" type="tns:getLevel"/>
   <xs:element name="getLevelResponse" type="tns:getLevelResponse"/>
   <xs:element name="isChildExists" type="tns:isChildExists"/>
   <xs:element name="isChildExistsResponse" type="tns:isChildExistsResponse"/>
   <xs:element name="isRLExists" type="tns:isRLExists"/>
   <xs:element name="isRLExistsResponse" type="tns:isRLExistsResponse"/>
   <xs:element name="isWSRunning" type="tns:isWSRunning"/>
   <xs:element name="isWSRunningResponse" type="tns:isWSRunningResponse"/>
+  <xs:element name="preSubscribeSchoolPerim" type="tns:preSubscribeSchoolPerim"/>
+  <xs:element name="preSubscribeSchoolPerimResponse" type="tns:preSubscribeSchoolPerimResponse"/>
+  <xs:element name="presubscribeSchoolDerog" type="tns:presubscribeSchoolDerog"/>
+  <xs:element name="presubscribeSchoolDerogResponse" type="tns:presubscribeSchoolDerogResponse"/>
+  <xs:element name="presubscribeSchoolSibling" type="tns:presubscribeSchoolSibling"/>
+  <xs:element name="presubscribeSchoolSiblingResponse" type="tns:presubscribeSchoolSiblingResponse"/>
   <xs:element name="readCSPList" type="tns:readCSPList"/>
   <xs:element name="readCSPListResponse" type="tns:readCSPListResponse"/>
   <xs:element name="readCategoryList" type="tns:readCategoryList"/>
   <xs:element name="readCategoryListResponse" type="tns:readCategoryListResponse"/>
   <xs:element name="readChildIndicatorList" type="tns:readChildIndicatorList"/>
   <xs:element name="readChildIndicatorListResponse" type="tns:readChildIndicatorListResponse"/>
   <xs:element name="readCivilityList" type="tns:readCivilityList"/>
   <xs:element name="readCivilityListResponse" type="tns:readCivilityListResponse"/>
   <xs:element name="readCountryList" type="tns:readCountryList"/>
   <xs:element name="readCountryListResponse" type="tns:readCountryListResponse"/>
   <xs:element name="readCountyList" type="tns:readCountyList"/>
   <xs:element name="readCountyListResponse" type="tns:readCountyListResponse"/>
   <xs:element name="readDietCodeList" type="tns:readDietCodeList"/>
   <xs:element name="readDietCodeListResponse" type="tns:readDietCodeListResponse"/>
+  <xs:element name="readDocumentList" type="tns:readDocumentList"/>
+  <xs:element name="readDocumentListResponse" type="tns:readDocumentListResponse"/>
   <xs:element name="readFamily" type="tns:readFamily"/>
   <xs:element name="readFamilyByPassword" type="tns:readFamilyByPassword"/>
   <xs:element name="readFamilyByPasswordResponse" type="tns:readFamilyByPasswordResponse"/>
+  <xs:element name="readFamilyList" type="tns:readFamilyList"/>
+  <xs:element name="readFamilyListResponse" type="tns:readFamilyListResponse"/>
   <xs:element name="readFamilyResponse" type="tns:readFamilyResponse"/>
   <xs:element name="readOrganList" type="tns:readOrganList"/>
   <xs:element name="readOrganListResponse" type="tns:readOrganListResponse"/>
   <xs:element name="readPAIList" type="tns:readPAIList"/>
   <xs:element name="readPAIListResponse" type="tns:readPAIListResponse"/>
   <xs:element name="readQualityList" type="tns:readQualityList"/>
   <xs:element name="readQualityListResponse" type="tns:readQualityListResponse"/>
   <xs:element name="readQuotientList" type="tns:readQuotientList"/>
   <xs:element name="readQuotientListResponse" type="tns:readQuotientListResponse"/>
   <xs:element name="readRLIndicatorList" type="tns:readRLIndicatorList"/>
   <xs:element name="readRLIndicatorListResponse" type="tns:readRLIndicatorListResponse"/>
+  <xs:element name="readSchoolForChildAndLevel" type="tns:readSchoolForChildAndLevel"/>
+  <xs:element name="readSchoolForChildAndLevelResponse" type="tns:readSchoolForChildAndLevelResponse"/>
   <xs:element name="readSituationList" type="tns:readSituationList"/>
   <xs:element name="readSituationListResponse" type="tns:readSituationListResponse"/>
   <xs:element name="readStreetList" type="tns:readStreetList"/>
   <xs:element name="readStreetListResponse" type="tns:readStreetListResponse"/>
   <xs:element name="readTownList" type="tns:readTownList"/>
   <xs:element name="readTownListResponse" type="tns:readTownListResponse"/>
   <xs:element name="readVaccinList" type="tns:readVaccinList"/>
   <xs:element name="readVaccinListResponse" type="tns:readVaccinListResponse"/>
@@ -84,77 +96,24 @@
   <xs:element name="updateFamily" type="tns:updateFamily"/>
   <xs:element name="updateFamilyEmergencyPersonList" type="tns:updateFamilyEmergencyPersonList"/>
   <xs:element name="updateFamilyEmergencyPersonListResponse" type="tns:updateFamilyEmergencyPersonListResponse"/>
   <xs:element name="updateFamilyResponse" type="tns:updateFamilyResponse"/>
   <xs:element name="updateFamilySituation" type="tns:updateFamilySituation"/>
   <xs:element name="updateFamilySituationResponse" type="tns:updateFamilySituationResponse"/>
   <xs:element name="updatePersonIndicatorList" type="tns:updatePersonIndicatorList"/>
   <xs:element name="updatePersonIndicatorListResponse" type="tns:updatePersonIndicatorListResponse"/>
-  <xs:complexType name="deletesubscribe">
-    <xs:sequence>
-      <xs:element name="numPerson" type="xs:int"/>
-      <xs:element name="idActivite" type="xs:string"/>
-      <xs:element name="dateRefDelete" type="xs:dateTime"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="deletesubscribeResponse">
-    <xs:sequence/>
-  </xs:complexType>
-  <xs:complexType name="readRLIndicatorList">
-    <xs:sequence/>
-  </xs:complexType>
-  <xs:complexType name="readRLIndicatorListResponse">
-    <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="rlIndicatorList" type="ns2:indicatorReadBean"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType abstract="true" name="abstractSpecResultBean">
-    <xs:complexContent>
-      <xs:extension base="tns:abstractSpecBean">
-        <xs:sequence/>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-  <xs:complexType abstract="true" name="abstractSpecBean">
-    <xs:sequence/>
-  </xs:complexType>
   <xs:complexType name="readQuotientList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readQuotientListResponse">
     <xs:sequence>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="readDietCodeList">
-    <xs:sequence/>
-  </xs:complexType>
-  <xs:complexType name="readDietCodeListResponse">
-    <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="createOrUpdateChildDiet">
-    <xs:sequence>
-      <xs:element name="personNumber" type="xs:int"/>
-      <xs:element name="code" type="xs:string"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="createOrUpdateChildDietResponse">
-    <xs:sequence/>
-  </xs:complexType>
-  <xs:complexType name="readCountyList">
-    <xs:sequence/>
-  </xs:complexType>
-  <xs:complexType name="readCountyListResponse">
-    <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
-    </xs:sequence>
-  </xs:complexType>
   <xs:complexType name="readFamily">
     <xs:sequence>
       <xs:element name="dossierNumber" type="xs:int"/>
       <xs:element minOccurs="0" name="schoolYear" type="xs:string"/>
       <xs:element minOccurs="0" name="incomeYear" type="xs:string"/>
       <xs:element minOccurs="0" name="referenceYear" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
@@ -202,16 +161,19 @@
   <xs:complexType name="birthInfoBean">
     <xs:sequence>
       <xs:element name="dateBirth" type="xs:dateTime"/>
       <xs:element minOccurs="0" name="place" type="xs:string"/>
       <xs:element minOccurs="0" name="communeCode" type="xs:string"/>
       <xs:element minOccurs="0" name="countryCode" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
+  <xs:complexType abstract="true" name="abstractSpecBean">
+    <xs:sequence/>
+  </xs:complexType>
   <xs:complexType name="familyQuotientRedvBean">
     <xs:sequence>
       <xs:element name="yearRev" type="xs:int"/>
       <xs:element name="dateStart" type="xs:dateTime"/>
       <xs:element name="dateEnd" type="xs:dateTime"/>
       <xs:element name="mtt" type="xs:double"/>
       <xs:element name="cdquo" type="xs:string"/>
       <xs:element minOccurs="0" name="codeUti" type="xs:string"/>
@@ -252,32 +214,31 @@
   <xs:complexType name="paiInfoBean">
     <xs:sequence>
       <xs:element name="code" type="xs:string"/>
       <xs:element minOccurs="0" name="dateDeb" type="xs:dateTime"/>
       <xs:element minOccurs="0" name="dateFin" type="xs:dateTime"/>
       <xs:element minOccurs="0" name="description" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
+  <xs:complexType abstract="true" name="abstractSpecResultBean">
+    <xs:complexContent>
+      <xs:extension base="tns:abstractSpecBean">
+        <xs:sequence/>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
   <xs:complexType name="isWSRunning">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="isWSRunningResponse">
     <xs:sequence>
       <xs:element name="isWSRunning" type="xs:boolean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="updateChildAutorization">
-    <xs:sequence>
-      <xs:element name="updateChildAutorizationRequest" type="ns2:updateChildAutorizationRequestBean"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="updateChildAutorizationResponse">
-    <xs:sequence/>
-  </xs:complexType>
   <xs:complexType name="readCivilityList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readCivilityListResponse">
     <xs:sequence>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
     </xs:sequence>
   </xs:complexType>
@@ -316,70 +277,16 @@
     <xs:sequence>
       <xs:element name="numPerson" type="xs:int"/>
       <xs:element maxOccurs="unbounded" name="vaccinList" type="ns2:vaccinBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="addChildVaccinListResponse">
     <xs:sequence/>
   </xs:complexType>
-  <xs:complexType name="createOrUpdateFSL">
-    <xs:sequence>
-      <xs:element name="personNumber" type="xs:int"/>
-      <xs:element name="fslBean" type="tns:fslBean"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="fslBean">
-    <xs:sequence>
-      <xs:element name="dateDeb" type="xs:dateTime"/>
-      <xs:element name="dateFin" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="allergieAlimentaire" type="xs:string"/>
-      <xs:element minOccurs="0" name="allergieRespiratoire" type="xs:string"/>
-      <xs:element minOccurs="0" name="allergieAutre" type="xs:string"/>
-      <xs:element minOccurs="0" name="allergieMedicament" type="xs:string"/>
-      <xs:element minOccurs="0" name="asthme" type="xs:string"/>
-      <xs:element minOccurs="0" name="flPAI" type="xs:string"/>
-      <xs:element minOccurs="0" name="flImage" type="xs:string"/>
-      <xs:element minOccurs="0" name="dtcPrap1" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="obsMed1" type="xs:string"/>
-      <xs:element minOccurs="0" name="obsMed2" type="xs:string"/>
-      <xs:element minOccurs="0" name="obsMed3" type="xs:string"/>
-      <xs:element minOccurs="0" name="obsDir1" type="xs:string"/>
-      <xs:element minOccurs="0" name="obsDir2" type="xs:string"/>
-      <xs:element minOccurs="0" name="obsDir3" type="xs:string"/>
-      <xs:element minOccurs="0" name="obsAssist1" type="xs:string"/>
-      <xs:element minOccurs="0" name="obsAssist2" type="xs:string"/>
-      <xs:element minOccurs="0" name="obsAssist3" type="xs:string"/>
-      <xs:element minOccurs="0" name="cons1Med" type="xs:string"/>
-      <xs:element minOccurs="0" name="cons2Med" type="xs:string"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="createOrUpdateFSLResponse">
-    <xs:sequence/>
-  </xs:complexType>
-  <xs:complexType name="subscribeSchool">
-    <xs:sequence>
-      <xs:element name="subcribeSchoolRequestBean" type="ns2:subscribeSchoolRequestBean"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="subscribeSchoolResponse">
-    <xs:sequence>
-      <xs:element minOccurs="0" name="subscribeSchoolResultBean" type="tns:subscribeSchoolResultBean"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="subscribeSchoolResultBean">
-    <xs:sequence>
-      <xs:element minOccurs="0" name="schoolYear" type="xs:int"/>
-      <xs:element minOccurs="0" name="schoolName" type="xs:string"/>
-      <xs:element minOccurs="0" name="level" type="xs:string"/>
-      <xs:element minOccurs="0" name="phone" type="xs:string"/>
-      <xs:element minOccurs="0" name="adress" type="xs:string"/>
-      <xs:element minOccurs="0" name="headmaster" type="xs:string"/>
-    </xs:sequence>
-  </xs:complexType>
   <xs:complexType name="updateFamilyEmergencyPersonList">
     <xs:sequence>
       <xs:element name="numDossier" type="xs:int"/>
       <xs:element name="emergencyPersonList" type="ns2:emergencyPersonListBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType abstract="true" name="abstractSpecRequestBean">
     <xs:complexContent>
@@ -399,142 +306,40 @@
       <xs:element minOccurs="0" name="contact" type="ns2:contactBean"/>
       <xs:element minOccurs="0" name="profession" type="ns2:professionBean"/>
       <xs:element minOccurs="0" name="CAFInfo" type="ns2:cafInfoBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="updateCoordinateResponse">
     <xs:sequence/>
   </xs:complexType>
-  <xs:complexType name="updateFamily">
-    <xs:sequence>
-      <xs:element name="dossierNumber" type="xs:int"/>
-      <xs:element name="category" type="xs:string"/>
-      <xs:element name="situation" type="xs:string"/>
-      <xs:element minOccurs="0" name="flagCom" type="xs:boolean"/>
-      <xs:element minOccurs="0" name="nbChild" type="xs:int"/>
-      <xs:element minOccurs="0" name="nbTotalChild" type="xs:int"/>
-      <xs:element minOccurs="0" name="nbAES" type="xs:int"/>
-      <xs:element minOccurs="0" name="rl1" type="tns:rlBean"/>
-      <xs:element minOccurs="0" name="rl2" type="tns:rlBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="childList" type="ns2:childBean"/>
-      <xs:element minOccurs="0" name="isForceCreateChild" type="xs:boolean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" type="ns2:indicatorValueAddUpdBean"/>
-      <xs:element minOccurs="0" name="emergencyPersonList" type="ns2:emergencyPersonListBean"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="rlBean">
-    <xs:sequence>
-      <xs:element minOccurs="0" name="num" type="xs:string"/>
-      <xs:element name="firstname" type="xs:string"/>
-      <xs:element name="lastname" type="xs:string"/>
-      <xs:element minOccurs="0" name="maidenName" type="xs:string"/>
-      <xs:element name="quality" type="xs:string"/>
-      <xs:element name="civility" type="xs:string"/>
-      <xs:element minOccurs="0" name="birth" type="tns:birthInfoBean"/>
-      <xs:element name="adresse" type="ns2:addressBean"/>
-      <xs:element minOccurs="0" name="contact" type="ns2:contactBean"/>
-      <xs:element minOccurs="0" name="profession" type="ns2:professionBean"/>
-      <xs:element minOccurs="0" name="CAFInfo" type="ns2:cafInfoBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" nillable="true" type="ns2:indicatorValueAddUpdBean"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="updateFamilyResponse">
-    <xs:sequence>
-      <xs:element minOccurs="0" name="familyResult" type="tns:familyBean"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="createUpdateQuotient">
-    <xs:sequence>
-      <xs:element name="dossierNumber" type="xs:int"/>
-      <xs:element name="personNumber" type="xs:int"/>
-      <xs:element name="quotient" type="tns:familyQuotientRedvBean"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="createUpdateQuotientResponse">
-    <xs:sequence/>
-  </xs:complexType>
   <xs:complexType name="readCountryList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readCountryListResponse">
     <xs:sequence>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="getActivityRate">
-    <xs:sequence>
-      <xs:element name="request" type="ns2:getActivityRateRequestBean"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="getActivityRateResponse">
-    <xs:sequence>
-      <xs:element minOccurs="0" name="resultBean" type="ns2:getActivityRateResultBean"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="isRLExists">
-    <xs:sequence>
-      <xs:element name="firstname" type="xs:string"/>
-      <xs:element name="lastname" type="xs:string"/>
-      <xs:element name="dateBirth" type="xs:dateTime"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="isRLExistsResponse">
-    <xs:sequence>
-      <xs:element name="result" type="xs:boolean"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="updateChildPAI">
-    <xs:sequence>
-      <xs:element name="personNumber" type="xs:int"/>
-      <xs:element name="code" type="xs:string"/>
-      <xs:element minOccurs="0" name="dateDeb" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dateFin" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="description" type="xs:string"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="updateChildPAIResponse">
-    <xs:sequence/>
-  </xs:complexType>
-  <xs:complexType name="readQualityList">
-    <xs:sequence/>
-  </xs:complexType>
-  <xs:complexType name="readQualityListResponse">
-    <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
-    </xs:sequence>
-  </xs:complexType>
   <xs:complexType name="readSituationList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readSituationListResponse">
     <xs:sequence>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="updateChildMedicalRecord">
     <xs:sequence>
       <xs:element name="updateChildMedicalRecordRequest" type="ns2:updateChildMedicalRecordRequestBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="updateChildMedicalRecordResponse">
     <xs:sequence/>
   </xs:complexType>
-  <xs:complexType name="createChild">
-    <xs:sequence>
-      <xs:element name="numDossier" type="xs:int"/>
-      <xs:element name="child" type="ns2:childBean"/>
-      <xs:element minOccurs="0" name="isForceCreateChild" type="xs:boolean"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="createChildResponse">
-    <xs:sequence>
-      <xs:element minOccurs="0" name="resultBean" type="ns2:resultChildBean"/>
-    </xs:sequence>
-  </xs:complexType>
   <xs:complexType name="addSuppliedDocument">
     <xs:sequence>
       <xs:element name="addSuppliedDocumentRequestBean" type="ns2:addSuppliedDocumentRequestBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="fileHandler">
     <xs:sequence>
       <xs:element minOccurs="0" name="dataHandler" type="xs:base64Binary" xmime:expectedContentTypes="application/octet-stream"/>
@@ -554,42 +359,48 @@
       <xs:element name="dateBirth" type="xs:dateTime"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="isChildExistsResponse">
     <xs:sequence>
       <xs:element name="result" type="xs:boolean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="subscribeActivity">
-    <xs:sequence>
-      <xs:element name="subscribeActivityRequestBean" type="ns2:subscribeActivityRequestBean"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="subscribeActivityResponse">
-    <xs:sequence>
-      <xs:element minOccurs="0" name="subscribeActivityResultBean" type="ns2:subscribeActivityResultBean"/>
-    </xs:sequence>
-  </xs:complexType>
   <xs:complexType name="createFamily">
     <xs:sequence>
       <xs:element name="category" type="xs:string"/>
       <xs:element name="situation" type="xs:string"/>
       <xs:element minOccurs="0" name="flagCom" type="xs:boolean"/>
       <xs:element minOccurs="0" name="nbChild" type="xs:int"/>
       <xs:element minOccurs="0" name="nbTotalChild" type="xs:int"/>
       <xs:element minOccurs="0" name="nbAES" type="xs:int"/>
       <xs:element name="rl1" type="tns:rlBean"/>
       <xs:element minOccurs="0" name="rl2" type="tns:rlBean"/>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="childList" type="ns2:childBean"/>
       <xs:element minOccurs="0" name="isForceCreateChild" type="xs:boolean"/>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" type="ns2:indicatorValueAddUpdBean"/>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="emergencyPersonList" type="ns2:emergencyPersonBean"/>
     </xs:sequence>
   </xs:complexType>
+  <xs:complexType name="rlBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="num" type="xs:string"/>
+      <xs:element name="firstname" type="xs:string"/>
+      <xs:element name="lastname" type="xs:string"/>
+      <xs:element minOccurs="0" name="maidenName" type="xs:string"/>
+      <xs:element name="quality" type="xs:string"/>
+      <xs:element name="civility" type="xs:string"/>
+      <xs:element minOccurs="0" name="birth" type="tns:birthInfoBean"/>
+      <xs:element name="adresse" type="ns2:addressBean"/>
+      <xs:element minOccurs="0" name="contact" type="ns2:contactBean"/>
+      <xs:element minOccurs="0" name="profession" type="ns2:professionBean"/>
+      <xs:element minOccurs="0" name="CAFInfo" type="ns2:cafInfoBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" nillable="true" type="ns2:indicatorValueAddUpdBean"/>
+    </xs:sequence>
+  </xs:complexType>
   <xs:complexType name="createFamilyResponse">
     <xs:sequence>
       <xs:element minOccurs="0" name="createFamilyResult" type="ns2:resultFamilyBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="readChildIndicatorList">
     <xs:sequence/>
   </xs:complexType>
